View Issue Details

IDProjectCategoryView StatusLast Update
0002412WishesSymLink/HardLinkpublic2013-05-27 08:31
Reporterfibre Assigned To2useven10  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Platformx86OSWindows 
Product Version3.0 
Fixed in Version3.0 
Summary0002412: просмотр ссылок DFS по CtrlA
Descriptionесли зайти в свойства (атрибуты) ссылок DFS по CtrlA, увидим там:
Symlink: (data not available)

а хотелось бы видеть (а в идеале ещё и редактировать) пути, на которые указывает ссылка.
windows explorer так умеет (только просмотр).
TagsNo tags attached.
Build3430

Activities

DrKnS

2013-05-22 15:13

administrator   bugnote:0010998

Давайте ссылку на официальное описание DFS reparse буфера.

2useven10

2013-05-22 15:34

developer   bugnote:0010999

NetDfsGetInfo не годится ?
http://msdn.microsoft.com/en-us/library/windows/desktop/bb524812%28v=vs.100%29.aspx

DrKnS

2013-05-22 15:44

administrator   bugnote:0011000

Годится вроде.

DrKnS

2013-05-22 16:06

administrator   bugnote:0011001

Пробуйте, мне проверять негде:

http://farmanager.com/farbugs/Release.32.vc_DFS.1.7z

fibre

2013-05-23 07:19

reporter   bugnote:0011004

неа, не работает пока, всё также (data not available)
если что, фар запускаю на win7 sp1 x64, сервера на win2003 r2 sp2 и win2012.

2useven10

2013-05-25 20:08

developer   bugnote:0011026

Last edited: 2013-05-25 20:30

View 2 revisions

3425
с DFS сервером на виртуалке, получение информации около 6 секунд.
через эксплорер приблизительно также.
правда есть нерабочие dfs targets, может задержка из-за них.

DrKnS

2013-05-25 20:30

administrator   bugnote:0011027

А зачем динамически грузить?
netapi32:NetDfsGetInfo есть во всех поддерживаемых ОС.

2useven10

2013-05-25 20:36

developer   bugnote:0011028

если на 2к есть, значит лопухнулся.
в msdn теперь всё начинается с xp, на 2к сейчас проверить не могу.

2useven10

2013-05-25 20:56

developer   bugnote:0011029

3426 - откатил динамическую загрузку NetDfsGetInfo

fibre

2013-05-27 06:37

reporter   bugnote:0011033

работает, большое спасибо!

Issue History

Date Modified Username Field Change
2013-05-22 12:53 fibre New Issue
2013-05-22 15:13 DrKnS Note Added: 0010998
2013-05-22 15:34 2useven10 Note Added: 0010999
2013-05-22 15:44 DrKnS Note Added: 0011000
2013-05-22 15:44 DrKnS Assigned To => DrKnS
2013-05-22 15:44 DrKnS Status new => assigned
2013-05-22 16:06 DrKnS Note Added: 0011001
2013-05-23 07:19 fibre Note Added: 0011004
2013-05-25 20:08 2useven10 Note Added: 0011026
2013-05-25 20:08 2useven10 Status assigned => feedback
2013-05-25 20:30 2useven10 Note Edited: 0011026 View Revisions
2013-05-25 20:30 DrKnS Note Added: 0011027
2013-05-25 20:36 2useven10 Note Added: 0011028
2013-05-25 20:56 2useven10 Note Added: 0011029
2013-05-25 21:22 DrKnS Assigned To DrKnS => 2useven10
2013-05-27 06:37 fibre Note Added: 0011033
2013-05-27 06:37 fibre Status feedback => assigned
2013-05-27 08:31 2useven10 Build => 3430
2013-05-27 08:31 2useven10 Status assigned => closed
2013-05-27 08:31 2useven10 Resolution open => fixed
2013-05-27 08:31 2useven10 Fixed in Version => 3.0